Author Topic: wxWidgets2.8.0  (Read 9711 times)

Offline ageempires

  • Single posting newcomer
  • *
  • Posts: 4
wxWidgets2.8.0
« on: January 11, 2007, 03:48:41 pm »
Hi All,
     I have downloaded latest wxWidgets2.8.0 libraries, CB nightly build 5th jan. i am able to write nice applications in SDL, but when i try this wxWidgets, everything goes out of control. i am unable to get rid of that last page.
         
Quote from: CodeBlocks
a matching debug/release config cant be found. debug/release targets will not be build

may i know how to get rid of this one. and btw i use winXp->C::B(obvious)->wxwidgets wizard (3.3 rev)for 2.8.0 frm http://forums.codeblocks.org/index.php?topic=4768.0
help me with this.

regards

Offline Biplab

  • Developer
  • Lives here!
  • *****
  • Posts: 1874
    • Biplab's Blog
Re: wxWidgets2.8.0
« Reply #1 on: January 11, 2007, 03:55:52 pm »
It's giving you an warning that the configuration you've selected does not exist in your pc.

From where did you download wx lib? What is it's build configuration?? Static or Dynamic? ANSI or Unicode?? Monolithic or Non-Monolithic??

Which settings you've selected in the wizard??

Please post more details.
Be a part of the solution, not a part of the problem.

Offline ageempires

  • Single posting newcomer
  • *
  • Posts: 4
Re: wxWidgets2.8.0
« Reply #2 on: January 11, 2007, 04:04:26 pm »
i downloaded it frm official website. may i know how to know those configs??
thn i simply did next next next, when it asked for name i gave a name. thn location of include files. tats it.
all the options are checked.

use widgets.dll
widgets is build as monolithic lib
enable unicode
create n use pch


regards
« Last Edit: January 11, 2007, 04:07:39 pm by ageempires »

Offline Biplab

  • Developer
  • Lives here!
  • *****
  • Posts: 1874
    • Biplab's Blog
Re: wxWidgets2.8.0
« Reply #3 on: January 11, 2007, 04:32:24 pm »
You've downloaded the source of wxWidgets. You have to compile it before you can start using it with wizard.

Wizard checks for some key libraries in the wxWidgets directory that you provide. But if it does not find them it warns you that you cannot build the project as the key libraries are missing.  :)

Which compiler are you using?
Be a part of the solution, not a part of the problem.

Offline ageempires

  • Single posting newcomer
  • *
  • Posts: 4
Re: wxWidgets2.8.0
« Reply #4 on: January 12, 2007, 05:03:24 am »
im having minGW - GCC 345 installed. may i know how to compile it. which is the project folder and what command to fire.

regards

Online stahta01

  • Lives here!
  • ****
  • Posts: 6672
    • My Best Post
Re: wxWidgets2.8.0
« Reply #5 on: January 12, 2007, 05:30:06 am »
from
http://wiki.codeblocks.org/index.php?title=Installing_Code::Blocks_from_source_on_Windows#Compile_wxWidgets_in_Unicode_mode

Code: [Select]
set path=c:\mingw\bin;c:\mingw\mingw32\bin
mingw32-make -f makefile.gcc USE_XRC=1 SHARED=1 MONOLITHIC=1 BUILD=release UNICODE=1  clean
mingw32-make -f makefile.gcc USE_XRC=1 SHARED=1 MONOLITHIC=1 BUILD=release UNICODE=1

Tim S
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline Biplab

  • Developer
  • Lives here!
  • *****
  • Posts: 1874
    • Biplab's Blog
Re: wxWidgets2.8.0
« Reply #6 on: January 12, 2007, 05:33:52 am »
Extract the Source to a folder. In my PC, I've extracted it into C: drive in root dir, and after extraction the folder looks like "C:\wxMSW-2.8.0".

Click Start > Run, then type cmd and press enter. Change the directory to C:\wxMSW-2.8.0\build\msw

Now type the following command and press enter. This will create Debug-DLL-Unicode-Monolithic lib of wxWidgets.
Code: [Select]
mingw32-make -f makefile.gcc BUILD=debug SHARED=1 UNICODE=1 MONOLITHIC=1
To create Release-DLL-Unicode-Monolithic lib of wxWidgets, type the following and press enter.
Code: [Select]
mingw32-make -f makefile.gcc BUILD=release SHARED=1 UNICODE=1 MONOLITHIC=1
For more details, go through the file INSTALL-MSW.txt in C:\wxMSW-2.8.0 folder. Please remember that the build will take lot of time.

Alternatively, you can download wxPack (http://wxpack.sourceforge.net). wxPack comes with wxWidgets lib compiled with GCC.

Hope this helps.  :)
Be a part of the solution, not a part of the problem.

Offline ageempires

  • Single posting newcomer
  • *
  • Posts: 4
Re: wxWidgets2.8.0
« Reply #7 on: January 12, 2007, 04:33:02 pm »
thanks a lot. i simply loved your response. its working fine. thanks a lot.
and lookin for more help from u all.

regards

Offline Biplab

  • Developer
  • Lives here!
  • *****
  • Posts: 1874
    • Biplab's Blog
Re: wxWidgets2.8.0
« Reply #8 on: January 12, 2007, 04:43:40 pm »
Nice to hear from you. You are most welcome.  :D

Please check the following link to Download latest revision, Revision 4, of wxWidgets Project Wizard..

http://forums.codeblocks.org/index.php?topic=4768.0
Be a part of the solution, not a part of the problem.